/*====================================+=====================================+
! File CDlgPlName.h                   ! Copyright (C) 2016-2019 Remi PASCAL !
+-------------------------------------+-------------------------------------+
! This file is part of matelefree.                                          !
! matelefree is free software: you can redistribute it and/or modify it     !
! under the terms of the GNU General Public License as published by the     !
! Free Software Foundation, either version 3 of the License, or any later   !
! version.                                                                  !
! matelefree is distributed in the hope that it will be useful, but WITHOUT !
! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     !
! FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for !
! more details.                                                             !
! You should have received a copy of the GNU General Public License along   !
! with matelefree. If not, see <http://www.gnu.org/licenses/>.              !
+==========================================================================*/



/*-------------------------------------------------------------------------*/
#pragma once
/*-------------------------------------------------------------------------*/



/*-------------------------------------------------------------------------*/
class CDlgPlName : public wxDialog
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CDlgPlName( const wxString &s_title,
                  const CPlaylist *pl_rename = nullptr
                ) ;
      ~CDlgPlName() ;

   /*----------------------------------------------------------------------*/
   private :
      /*--( Playlist which name has to be changed )------------------------*/
      const CPlaylist *m_pl_rename ;
      /*-------------------------------------------------------------------*/
      wxTextCtrl   *m_txt_name ;
      wxStaticText *m_stx_errmsg ;
      /*--( Name used to give the result back )----------------------------*/
      wxString m_s_new_name ;

   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      virtual void OnTextEnter( wxCommandEvent &event ) ;
      virtual void OnOKButtonClick( wxCommandEvent &event ) ;
      bool check_name() ;
      int get_modal( wxString &s_new_name ) ;

   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/



/*==========================================================================+
!                         End of file CDlgPlName.h                          !
+==========================================================================*/
