/*====================================+=====================================+
! File CDlgVersion.h                  ! Copyright (C) 2016-2019 Remi PASCAL !
+-------------------------------------+-------------------------------------+
! This file is part of matelefree.                                          !
! matelefree is free software: you can redistribute it and/or modify it     !
! under the terms of the GNU General Public License as published by the     !
! Free Software Foundation, either version 3 of the License, or any later   !
! version.                                                                  !
! matelefree is distributed in the hope that it will be useful, but WITHOUT !
! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     !
! FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for !
! more details.                                                             !
! You should have received a copy of the GNU General Public License along   !
! with matelefree. If not, see <http://www.gnu.org/licenses/>.              !
+==========================================================================*/



/*-------------------------------------------------------------------------*/
#pragma once
/*-------------------------------------------------------------------------*/
#include "CDownload.h"
/*-------------------------------------------------------------------------*/



/*-------------------------------------------------------------------------*/
class CDlgVersion : public wxDialog
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CDlgVersion( wxWindow *parent,
                   const wxString &s_main_info,
                   const wxString &s_data
                 ) ;
      //~CDlgVersion() ;

   /*----------------------------------------------------------------------*/
   protected :
      /*-------------------------------------------------------------------*/
      wxStaticText *m_stx_main_info ;
      wxTextCtrl   *m_txt_version_history ;
      wxBoxSizer   *m_bsz_btn ;
      wxButton     *m_bt_web_site ;
      wxButton     *m_bt_close ;
      /*-------------------------------------------------------------------*/
      wxString          m_s_data ;
      mtf::t_map_strstr m_ms_url ;

   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      void OnBtGotoWebSite( wxCommandEvent &event ) ;
      void OnBtClose( wxCommandEvent &event )
      {  EndDialog( 0 ) ; }
      /*-------------------------------------------------------------------*/
      void build_ui() ;
      /*-------------------------------------------------------------------*/
      int get_modal() ;

   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/
class CDlgLastVersion : public CDlgVersion
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CDlgLastVersion( wxWindow *parent,
                       const wxString &s_main_info,
                       const wxString &s_data
                     ) ;
      ~CDlgLastVersion() ;

   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/
class CDlgNewVersion : public CDlgVersion
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CDlgNewVersion( wxWindow *parent,
                      const wxString &s_main_info,
                      const wxString &s_data
                    ) ;
      ~CDlgNewVersion() ;

   /*----------------------------------------------------------------------*/
   private :
      /*-------------------------------------------------------------------*/
      wxButton *m_bt_download_install ;
      wxButton *m_bt_download ;
      /*-------------------------------------------------------------------*/
      wxFileName m_fn_local ;

   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      virtual void OnBtDownload( wxCommandEvent &event ) ;
      virtual void OnBtDownloadInstall( wxCommandEvent &event ) ;
      /*-------------------------------------------------------------------*/
      int download( const wxFileName &fn_local = wxFileName(),
                    CDlgDownload::e_option ddo_option=CDlgDownload::DDO_NONE
                  ) ;
      int install() ;

   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/



/*==========================================================================+
!                         End of file CDlgVersion.h                         !
+==========================================================================*/
